using System.Text.Json.Serialization;

namespace CFCoreAPI.Endpoints.Games.Responses
{

    public class VersionsResponse
    {
        [JsonConstructor]
        public VersionsResponse(
            List<DataModel> data
        )
        {
            this.Data = data;
        }

        public IReadOnlyList<DataModel> Data { get; }
        public class DataModel
        {
            [JsonConstructor]
            public DataModel(
                int type,
                List<string> versions
            )
            {
                this.Type = type;
                this.Versions = versions;
            }

            public int Type { get; }
            public IReadOnlyList<string> Versions { get; }
        }
    }


}