using System.Text.Json.Serialization;

namespace CFCoreAPI.Endpoints.Games.Responses
{
    // Root myDeserializedClass = JsonConvert.DeserializeObject<Root>(myJsonResponse);

    public class VersionTypesResponse
    {
        [JsonConstructor]
        public VersionTypesResponse(
            List<DataModel> data
        )
        {
            this.Data = data;
        }

        public IReadOnlyList<DataModel> Data { get; }
        public class DataModel
        {
            [JsonConstructor]
            public DataModel(
                int id,
                int gameId,
                string name,
                string slug
            )
            {
                this.Id = id;
                this.GameId = gameId;
                this.Name = name;
                this.Slug = slug;
            }

            public int Id { get; }
            public int GameId { get; }
            public string Name { get; }
            public string Slug { get; }
        }
    }


}